[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TPageFlag

TPageFlag - enumerated type containing possible values for page flags for notebook pages

## Declaration

Source position: extctrls.pp line 44

`type TPageFlag = (`
`pfAdded,` |  | Internal flag set after page handle was connected to the notebook handle
`pfAdding,` |  |
`pfRemoving,` |  |
`pfInserting`
`);`

## Description

TPageFlag - enumerated type containing possible values for page flags for notebook pages

    pfAdded,  // handle of page added to notebook handle
        pfAdding, // currently handle of page adding to notebook handle
        pfRemoving, // currently removing page handle from notebook handle
        pfInserting // currently inserting page into notebook

The latest version of this document can be found at lazarus-ccr.sourceforge.net.